﻿using System;

namespace TestProject
{
    /// <summary>
    /// 아이콘 URI 어트리뷰트
    /// </summary>
    public class IconURIAttribute : Attribute, IAttribute<string>
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 아이콘 URI
        /// </summary>
        private readonly string iconURI;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 값 - Value

        /// <summary>
        /// 값
        /// </summary>
        public string Value
        {
            get
            {
                return this.iconURI;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - IconURIAttribute(iconURI)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="iconURI">아이콘 URI</param>
        public IconURIAttribute(string iconURI)
        {
            this.iconURI = iconURI;
        }

        #endregion
    }
}