﻿using System;

namespace TestProject
{
    /// <summary>
    /// 우선 순위 레벨 어트리뷰트
    /// </summary>
    public class PriorityLevelAttribute : Attribute, IAttribute<int>
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 우선 순위 레벨
        /// </summary>
        private readonly int priorityLevel;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 값 - Value

        /// <summary>
        /// 값
        /// </summary>
        public int Value
        {
            get
            {
                return this.priorityLevel;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - PriorityLevelAttribute(priorityLevel)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="priorityLevel">우선 순위 레벨</param>
        public PriorityLevelAttribute(int priorityLevel)
        {
            this.priorityLevel = priorityLevel;
        }

        #endregion
    }
}