﻿namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 축구 자동 필터 컬렉션
        /// </summary>
        private readonly FootballAutoFilterCollection footballAutoFilterCollection = new FootballAutoFilterCollection();

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 리그 컬럼 - LeagueColumn

        /// <summary>
        /// 리그 컬럼
        /// </summary>
        public AutoFilterColumn<Football> LeagueColumn
        {
            get
            {
                return this.footballAutoFilterCollection.AutoFilterColumnList[0];
            }
        }

        #endregion
        #region 팀 컬럼 - TeamColumn

        /// <summary>
        /// 팀 컬럼
        /// </summary>
        public AutoFilterColumn<Football> TeamColumn
        {
            get
            {
                return this.footballAutoFilterCollection.AutoFilterColumnList[1];
            }
        }

        #endregion
        #region 선수 컬럼 - PlayerColumn

        /// <summary>
        /// 선수 컬럼
        /// </summary>
        public AutoFilterColumn<Football> PlayerColumn
        {
            get
            {
                return this.footballAutoFilterCollection.AutoFilterColumnList[4];
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.footballAutoFilterCollection.SourceEnumerable = DataHelper.GetFootballCollection();

            DataContext = this;
        }

        #endregion
    }
}